// Wrappers
.field-container {
  > * {
    &:not(:last-child) {
      margin-bottom: var(--bs-spacer-2);
    }
  }
}

.field-container--inline {
  * {
    display: inline-block;
    margin-bottom: 0 !important;
  }

  > :not(:first-child) {
    &::before {
      content: "-";
      margin-right: 0.35em;
    }
  }

  // Multivalue fields comma seperated
  .field__items > .field__item:not(:last-child)::after {
    content: ",";
  }
}

.field-items--inline > * {
  display: inline-block;
  margin-bottom: var(--bs-spacer-1);

  &:not(:first-child) {
    margin-left: var(--bs-spacer-3);
  }

  * {
    display: inline-block;
  }
}

.field-items--inline-comma {
  overflow: hidden; // clearfix
}

.field-items--inline-comma > * {
  float: left;

  &:not(:first-child) {
    &::before {
      content: ",";
    }
  }

  * {
    display: inline;
  }
}

.field--label-above {
  > .field-label {
    display: block;
  }
}

// Inline Labels
.field--label-inline {
  .field__label,
  .field__item {
    display: inline-block;
  }
  .field__label {
    margin-right: 0.35em;
  }
}

// Add label colon
.field__label--colon {
  &::after {
    content: ":";
  }
}

// Field formatter class to show the field-label and -value in seperate
// columns. This is an optimized version of our previous default styles
// for .field-items--inline (Breaking Change).
.field--label-column {
  // Old styles from --label-inline
  --label-width: 100%;
  --content-width: 100%;
  --cell-padding: 0.45em 0.5em;
  --stripe-bg: var(--bs-gray-light);
  display: flex;
  flex-direction: column;
  line-height: var(--bs-line-height-sm);

  // TODO: This should not require a media-query? clamp() or something?
  @media (min-width: 30rem) {
    --label-width: 200px;
    --content-width: 100%;
    flex-direction: row;
  }

  > .field__label {
    display: inline-flex;
    flex: 0 0 auto;
    width: var(--label-width);
    padding: var(--cell-padding);
    overflow: hidden;
    hyphens: auto;

    &:not(.remove-label)::after {
      content: ":";
    }

    &.remove-label {
      align-items: center;
      margin-right: 0.5em;
    }

    // Icon support
    // Fix icon spacing & align fields vert. center because fields whith icons are typicaly nowrap.
    &.ico {
      margin-right: 0.5rem;
      // re-set the regular text line-height, otherwise the icon is positioned at the top.
      line-height: var(--bs-line-height-base);

      + .field__fences-inner-wrapper {
        align-self: center;
      }
    }

    &.ico--circled {
      flex: 0 0 auto;
    }
  }

  span.field__label,
  div.field__label {
    font-weight: var(--bs-font-weight-bold);
  }

  // Fences allows field__item and field__items on this level
  // cover both.
  > :not(.field__label) {
    flex: 1 1 auto;
    min-width: 150px;
    padding: var(--cell-padding);
  }

  ~ .field--label-column:nth-child(2n-1) {
    background-color: var(--stripe-bg);
  }

  // Fix contents
  p {
    line-height: inherit;
  }
}

// Body
.field.body,
.field--type-text-long {
  // add clearfix - the user is able to add floated elements with the WYSIWYG
  &::after {
    content: "";
    display: table;
    clear: both;
  }
  > :last-child,
  > :last-child :last-child {
    margin-bottom: 0;
  }
}

// Caption
.field--name-field-caption {
  font-size: var(--bs-font-size-sm);
  line-height: var(--bs-line-height-sm);
  font-style: italic;
  color: var(--bs-muted-dark);
  padding: 0.5em 0.75em;
  background-color: var(--bs-gray-light);
}

// Media Caption text
.field--name-field-image-caption {
  font-size: var(--bs-font-size-sm);
  line-height: var(--bs-line-height-base);
}
